package cn.com.infosec.mobile.android.framework.crypto.impl.gm;

import cn.com.infosec.math.ec.ECCurve;
import cn.com.infosec.math.ec.ECPoint;
import java.math.BigInteger;

public interface SM2GMParameter {
   int SM2_SIZE = 32;
   BigInteger gmp;
   BigInteger gma;
   BigInteger gmb;
   ECCurve gmec256;
   BigInteger gmgx;
   BigInteger gmgy;
   ECPoint gmg;
   BigInteger gmn;

   static {
      BigInteger var0;
      BigInteger var10000 = var0 = new BigInteger;
      var10000.<init>("FFFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF00000000FFFFFFFFFFFFFFFF", 16);
      gmp = var10000;
      BigInteger var1;
      var10000 = var1 = new BigInteger;
      var10000.<init>("FFFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF00000000FFFFFFFFFFFFFFFC", 16);
      gma = var10000;
      BigInteger var2;
      var10000 = var2 = new BigInteger;
      var10000.<init>("28E9FA9E9D9F5E344D5A9E4BCF6509A7F39789F515AB8F92DDBCBD414D940E93", 16);
      gmb = var10000;
      ECCurve var3 = gmec256 = new ECCurve.Fp(var0, var1, var2);
      BigInteger var10001 = gmgx = new BigInteger("32C4AE2C1F1981195F9904466A39C9948FE30BBFF2660BE1715A4589334C74C7", 16);
      BigInteger var10002 = var0 = new BigInteger;
      var10002.<init>("BC3736A2F4F6779C59BDCEE36B692153D0A9877CC62A474002DF32E52139F0A0", 16);
      gmgy = var10002;
      gmg = var3.createPoint(var10001, var0, false);
      gmn = new BigInteger("FFFFFFFEFFFFFFFFFFFFFFFFFFFFFFFF7203DF6B21C6052B53BBF40939D54123", 16);
   }
}
